package com.ruoyi.ems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ems.mapper.AdmEmsPvSupplyHMapper;
import com.ruoyi.ems.domain.AdmEmsPvSupplyH;
import com.ruoyi.ems.service.IAdmEmsPvSupplyHService;

/**
 * 光伏并网计量光伏并网计量-小时Service业务层处理
 *
 * @author ruoyi
 * @date 2024-08-02
 */
@Service
public class AdmEmsPvSupplyHServiceImpl implements IAdmEmsPvSupplyHService {
    @Autowired
    private AdmEmsPvSupplyHMapper admEmsPvSupplyHMapper;

    /**
     * 查询光伏并网计量光伏并网计量-小时
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 光伏并网计量光伏并网计量-小时
     */
    @Override
    public AdmEmsPvSupplyH selectAdmEmsPvSupplyHById(Long id) {
        return admEmsPvSupplyHMapper.selectAdmEmsPvSupplyHById(id);
    }

    /**
     * 查询光伏并网计量光伏并网计量-小时列表
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 光伏并网计量光伏并网计量-小时
     */
    @Override
    public List<AdmEmsPvSupplyH> selectAdmEmsPvSupplyHList(AdmEmsPvSupplyH admEmsPvSupplyH) {
        return admEmsPvSupplyHMapper.selectAdmEmsPvSupplyHList(admEmsPvSupplyH);
    }

    @Override
    public List<AdmEmsPvSupplyH> selectAreaSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH) {
        return admEmsPvSupplyHMapper.selectAreaSupplyH(admEmsPvSupplyH);
    }

    /**
     * 新增光伏并网计量光伏并网计量-小时
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    @Override
    public int insertAdmEmsPvSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH) {
        return admEmsPvSupplyHMapper.insertAdmEmsPvSupplyH(admEmsPvSupplyH);
    }

    /**
     * 修改光伏并网计量光伏并网计量-小时
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    @Override
    public int updateAdmEmsPvSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH) {
        return admEmsPvSupplyHMapper.updateAdmEmsPvSupplyH(admEmsPvSupplyH);
    }

    /**
     * 批量删除光伏并网计量光伏并网计量-小时
     *
     * @param ids 需要删除的光伏并网计量光伏并网计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsPvSupplyHByIds(Long[] ids) {
        return admEmsPvSupplyHMapper.deleteAdmEmsPvSupplyHByIds(ids);
    }

    /**
     * 删除光伏并网计量光伏并网计量-小时信息
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsPvSupplyHById(Long id) {
        return admEmsPvSupplyHMapper.deleteAdmEmsPvSupplyHById(id);
    }
}
